Personnel Data
    • /company/attendances
      GET
    • /company/attendances
      POST
    • /company/attendances/{id}
      DELETE
    • /company/attendances/{id}
      PATCH
    • /company/employees
      GET
    • Create an employee
      POST
    • /company/employees/{employee_id}
      GET
    • /company/employees/{employee_id}/profile-picture/{width}
      GET
    • /company/time-off-types
      GET
    • /company/time-offs
      GET
    • /company/time-offs
      POST
    • /company/time-offs/{id}
      DELETE
    • /company/time-offs/{id}
      GET
    • Schemas
      • Schemas
        • AbsenceEntitlement
        • AbsencePeriodResponse
        • List All Absence Periods response
        • List All Absence Periods response
        • List All Attenance Periods response
        • List All Attenance Periods response
        • Attribute
        • CostCenters
        • Create time-off periods
        • Create time-off periods
        • Time period when an employee is not available.
        • Time period when an employee is not available.
        • Department
        • Default error response
        • Default error response
        • Employee
        • Employee
        • Employee
        • List of Employees
        • List of Employees
        • Default error response
        • Default error response
        • HolidayCalendar
        • Create a New Attendance Period request
        • Create a New Attendance Period request
        • NewAttendancePeriodResponse
        • Office
        • Default response object
        • Default response object
        • Supervisor
        • Type of time-off resource
        • Type of time-off resource
        • Update an existing attendance period
        • Update an existing attendance period
        • WorkSchedule

      /company/attendances/{id}

      PATCH
      /company/attendances/{id}
      This endpoint is responsible for updating attendance data for the company employees. Attributes are not required and if not specified, the current value will be used. It is not possible to change the employee id.

      Request

      Path Params

      Body Params application/json

      Examples

      Responses

      🟢200Success response
      application/json
      Bodyapplication/json

      🟠404Not found response
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request PATCH 'https://api.personio.de/v1/company/attendances/' \
      --header 'Content-Type: application/json' \
      --data '{
          "break": 35,
          "comment": null,
          "date": "2019-03-17T00:00:00.000Z",
          "end_time": 720,
          "start_time": 540
      }'
      Response Response Example
      200 - response
      {
          "data": {
              "message": "The attendance period was updated."
          },
          "success": true
      }
      Modified at 2023-08-22 06:28:03
      Previous
      /company/attendances/{id}
      Next
      /company/employees
      Built with